Query parameters
-
Comma separated list of relationships to include in the response. Valid relationships are [clients, file].
-
Filter by a comma separated list of UUIDs.
-
Filter by partial document title
-
date Filter documents created before a given date. Format: YYYY-MM-DD
-
date Filter documents created after a given date. Format: YYYY-MM-DD
-
Filter by a comma separated list of client UUIDs.
-
Comma separated string of circle UUIDs to filter by.
-
Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to 'updated_at'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/document
curl \
--request GET 'https://api.plannrcrm.com/api/v1/document' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
[
{
"uuid": "8a98262a-c074-4d6b-80c2-cde7cfa0511f",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"version": 3,
"name": "Welcome Template",
"status": "published",
"last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
"required_dependants": {
"client-1": "client"
},
"known_dependants": {
"client-1": "622edf3b-d03e-4787-ba87-77456ec2bf9e"
},
"public_docx_url": "https://api.plannrcrm.com/document/c5bd7c57-2a15-464b-aff4-7da5f03915aa/content/docx?plannr_account_uuid=f5a0a058-e2a9-405c-8703-71d839e59f3e",
"public_sfdt_url": "https://api.plannrcrm.com/document/27d53de7-e240-4647-8ec4-4e0bab393d35/content/sfdt?plannr_account_uuid=f581a08f-f37f-44e4-8ffe-a93aaa5ff26d",
"public_pdf_url": "https://api.plannrcrm.com/document/7718336b-eaf2-48e7-b026-ceb53717c877/content/pdf?plannr_account_uuid=447bed9b-d57f-46d5-9c05-a4b55c95abc2",
"public_preview_url": "https://api.plannrcrm.com/document/0479ce75-7cb0-4ebc-abd2-b928d165af79/content/preview?plannr_account_uuid=7f9e3432-90a4-470f-82c8-aee57762314e"
}
]
]
}